diff -pruN 0.26.7-2/debian/changelog 0.26.7-2ubuntu2/debian/changelog
--- 0.26.7-2/debian/changelog	2020-06-07 04:47:34.000000000 +0000
+++ 0.26.7-2ubuntu2/debian/changelog	2020-08-13 15:27:49.000000000 +0000
@@ -1,3 +1,21 @@
+sysdig (0.26.7-2ubuntu2) groovy; urgency=medium
+
+  * Fix FTBFS on armhf
+
+ -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 13 Aug 2020 15:27:49 +0000
+
+sysdig (0.26.7-2ubuntu1) groovy; urgency=medium
+
+  * Fix FTBFS with Linux 5.8
+
+ -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 05 Aug 2020 11:30:36 +0000
+
+sysdig (0.26.7-2build1) groovy; urgency=medium
+
+  * Rebuild against new libprotobuf23.
+
+ -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:24:51 +0200
+
 sysdig (0.26.7-2) unstable; urgency=medium
 
   * Fix FTBFS on mips architecture. 
diff -pruN 0.26.7-2/debian/patches/0001-Linux-5.8-replace-probe_kernel_read-with-copy_from_k.patch 0.26.7-2ubuntu2/debian/patches/0001-Linux-5.8-replace-probe_kernel_read-with-copy_from_k.patch
--- 0.26.7-2/debian/patches/0001-Linux-5.8-replace-probe_kernel_read-with-copy_from_k.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.26.7-2ubuntu2/debian/patches/0001-Linux-5.8-replace-probe_kernel_read-with-copy_from_k.patch	2020-08-05 11:30:36.000000000 +0000
@@ -0,0 +1,30 @@
+From 0123c82dec547a67449379fc6f03880d8fea3aa9 Mon Sep 17 00:00:00 2001
+From: Paolo Pisati <paolo.pisati@canonical.com>
+Date: Wed, 29 Jul 2020 11:23:37 +0000
+Subject: [PATCH] Linux 5.8: replace probe_kernel_read() with
+ copy_from_kernel_nofault()
+
+See also commit fe557319aa06c23cffc9346000f119547e0f289a "maccess: rename
+probe_kernel_{read,write} to copy_{from,to}_kernel_nofault" upstream.
+
+Signed-off-by: Paolo Pisati <paolo.pisati@canonical.com>
+---
+ driver/ppm_fillers.c | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/driver/ppm_fillers.c b/driver/ppm_fillers.c
+index d6f82b3..538b5f2 100644
+--- a/driver/ppm_fillers.c
++++ b/driver/ppm_fillers.c
+@@ -666,6 +666,8 @@ long probe_kernel_read(void *dst, const void *src, size_t size)
+ 
+ 	return ret ? -EFAULT : 0;
+ }
++#elif LINUX_VERSION_CODE >= KERNEL_VERSION(5, 8, 0)
++#define probe_kernel_read copy_from_kernel_nofault
+ #endif
+ 
+ static int ppm_get_tty(void)
+-- 
+2.27.0
+
diff -pruN 0.26.7-2/debian/patches/0001-UBUNTU-SAUCE-armhf-fix-64bit-mod-by-using-div64_u64_.patch 0.26.7-2ubuntu2/debian/patches/0001-UBUNTU-SAUCE-armhf-fix-64bit-mod-by-using-div64_u64_.patch
--- 0.26.7-2/debian/patches/0001-UBUNTU-SAUCE-armhf-fix-64bit-mod-by-using-div64_u64_.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.26.7-2ubuntu2/debian/patches/0001-UBUNTU-SAUCE-armhf-fix-64bit-mod-by-using-div64_u64_.patch	2020-08-13 15:27:49.000000000 +0000
@@ -0,0 +1,36 @@
+From 9f9e6a1ccc4dc175d10641482354b6575047b692 Mon Sep 17 00:00:00 2001
+From: Paolo Pisati <paolo.pisati@canonical.com>
+Date: Thu, 13 Aug 2020 15:23:10 +0000
+Subject: [PATCH] UBUNTU: SAUCE: armhf: fix 64bit mod by using div64_u64_rem()
+
+64bit division on 32bit ARM are failing with:
+
+ERROR: "__aeabi_uldivmod" [/home/ubuntu/sysdig/sysdig/driver/build/src/sysdig-probe.ko] undefined!
+
+so use an explicit kernel helper - see also commit 88fb831f773e6 or many
+other like that upstream
+
+Signed-off-by: Paolo Pisati <paolo.pisati@canonical.com>
+---
+ driver/main.c | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/driver/main.c b/driver/main.c
+index fab205ef..0ef27812 100644
+--- a/driver/main.c
++++ b/driver/main.c
+@@ -1528,8 +1528,10 @@ static inline int drop_event(struct ppm_consumer_t *consumer,
+ 			return 1;
+ 		}
+ 
++		nanoseconds rem;
++		div64_u64_rem(ns, SECOND_IN_NS, &rem);
+ 		if (consumer->sampling_interval < SECOND_IN_NS &&
+-		    (ns % SECOND_IN_NS) >= consumer->sampling_interval) {
++		    rem >= consumer->sampling_interval) {
+ 			if (consumer->is_dropping == 0) {
+ 				consumer->is_dropping = 1;
+ 				record_drop_e(consumer, ns, drop_flags);
+-- 
+2.25.1
+
diff -pruN 0.26.7-2/debian/patches/series 0.26.7-2ubuntu2/debian/patches/series
--- 0.26.7-2/debian/patches/series	2020-06-07 04:46:57.000000000 +0000
+++ 0.26.7-2ubuntu2/debian/patches/series	2020-08-13 15:27:49.000000000 +0000
@@ -1,3 +1,5 @@
 fix-arm64-ftbfs.patch
 fix-luajit.patch
 0001-Prevent-FTBFS-on-mips-from-syscall-table-overflow.patch
+0001-Linux-5.8-replace-probe_kernel_read-with-copy_from_k.patch
+0001-UBUNTU-SAUCE-armhf-fix-64bit-mod-by-using-div64_u64_.patch
